<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="android:textColor">@color/text_subtitle</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="CustomProgressBar" parent="android:Widget.ProgressBar.Horizontal">
        <item name="android:indeterminateOnly">false</item>
        <item name="android:progressDrawable">@drawable/custom_progress_bar_horizontal</item>
        <item name="android:minHeight">10dip</item>
        <item name="android:maxHeight">20dip</item>
    </style>

    <style name="CollegeAppTheme" parent="Base.Theme.AppCompat.Light.DarkActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>


    <style name="Theme.Transparent" parent="Theme.AppCompat">
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:backgroundDimEnabled">false</item>
    </style>

    <!-- Customize theme for transparent activity -->
    <style name="Theme.AppCompat.Transparent.NoActionBar" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Transparent the theme here -->

        <!--
            android:windowIsTranslucent
                Flag indicating whether this is a translucent window.
        -->
        <!--
            public static final int Window_windowIsTranslucent
                Flag indicating whether this is a translucent window. If this attribute is unset
                (but not if set to false), the window might still be considered translucent,
                if windowSwipeToDismiss is set to true.

                Must be a boolean value, either "true" or "false".

                This may also be a reference to a resource (in the form "@[package:]type:name") or
                theme attribute (in the form "?[package:][type:]name") containing a value of this type.

                This corresponds to the global attribute resource symbol windowIsTranslucent.

                Constant Value: 5 (0x00000005)
        -->
        <item name="android:windowIsTranslucent">true</item>

        <!--
            android:windowBackground
                Drawable to use as the overall window background.
        -->
        <!--
            public static final int Window_windowBackground
                Drawable to use as the overall window background. As of HONEYCOMB, this may be a
                selector that uses state_accelerated to pick a non-solid color when running
                on devices that can draw such a bitmap with complex compositing on top at 60fps.

                There are a few special considerations to use when setting this drawable:

                This information will be used to infer the pixel format for your window surface.
                If the drawable has any non-opaque pixels, your window will be translucent (32 bpp).
                If you want to draw the entire background yourself, you should set this drawable to
                some solid color that closely matches that background (so the system preview of
                your window will match), and then in code manually set your window's background
                to null so it will not be drawn.

                Must be a reference to another resource, in the form "@[+][package:]type:name" or
                to a theme attribute in the form "?[package:][type:]name".

                This corresponds to the global attribute resource symbol windowBackground.

                Constant Value: 1 (0x00000001)

        -->
        <item name="android:windowBackground">@android:color/transparent</item>

        <!--
            android:windowContentOverlay
                This Drawable is overlaid over the foreground of the Window content area, usually
                to place a shadow below the title.
        -->
        <item name="android:windowContentOverlay">@null</item>

        <!--
            android:windowNoTitle
                Flag indicating whether there should be no title on this window.
        -->
        <item name="android:windowNoTitle">true</item>

        <!--
            android:windowIsFloating
                Flag indicating whether this is a floating window.
        -->
        <item name="android:windowIsFloating">true</item>

        <!--
            android:backgroundDimEnabled
                Control whether dimming behind the window is enabled.
        -->
        <item name="android:backgroundDimEnabled">false</item>
    </style>


    <style name="MyCustomTabLayout" parent="Widget.Design.TabLayout">
        <item name="tabIndicatorColor">?attr/colorAccent</item>
        <item name="tabIndicatorHeight">4dp</item>
        <item name="tabPaddingStart">12dp</item>
        <item name="tabPaddingEnd">12dp</item>
        <item name="tabBackground">?attr/selectableItemBackground</item>
        <item name="tabTextAppearance">@style/MyCustomTabTextAppearance</item>
        <item name="tabSelectedTextColor">?android:textColorPrimary</item>
    </style>

    <style name="MyCustomTabTextAppearance" parent="TextAppearance.Design.Tab">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">?android:textColorSecondary</item>
        <item name="textAllCaps">false</item>
        <item name="android:fontFamily">@fonts/roboto.light.ttf</item>
    </style>
</resources>
